Index: src/Fl_Text_Display.cxx
===================================================================
--- src/Fl_Text_Display.cxx	(revision 10476)
+++ src/Fl_Text_Display.cxx	(working copy)
@@ -2825,7 +2825,8 @@
  \brief Callbacks for drag or valueChanged on scrollbars.
  */
 void Fl_Text_Display::v_scrollbar_cb(Fl_Scrollbar* b, Fl_Text_Display* textD) {
-  if (b->value() == textD->mTopLineNum) return;
+  int fix_wrap = textD->mContinuousWrap ? 1 : 0; // (STR #2682 *** TEST ***)
+  if (b->value() == textD->mTopLineNum + fix_wrap) return; // (STR #2682)
   textD->scroll(b->value(), textD->mHorizOffset);
 }
 
